#!/bin/csh
#COMPILE SCATC DSK

# Cleanup
rm -f *.o *.ali a83*.ads a83*.adb a95*.ads a95*.adb

# Create Lexical Analyzers
scaflex a83.l
echo aflex.log for a83.l --
cat aflex.log
rm aflex.log
scaflex a95.l
echo aflex.log for a95.l --
cat aflex.log
rm aflex.log
gnatchop -w a83_dfa.a
gnatchop -w a83_io.a
gnatchop -w a83.a
gnatchop -w a95_dfa.a
gnatchop -w a95_io.a
gnatchop -w a95.a
rm -f *.a

# Compile
gcc -c al.ads
gcc -c a83_dfa.ads
gcc -c a83_io.ads
gcc -c a83.ads
gcc -c a95_dfa.ads
gcc -c a95_io.ads
gcc -c a95.ads
gcc -c cli.ads
gcc -c clp.ads
gcc -c console.ads
gcc -c ic.ads
gcc -c itf.ads
gcc -c otf.ads
gcc -c rg.ads
gcc -c tk.ads
gcc -c al.adb
gcc -c a83.adb
gcc -c a83_dfa.adb
gcc -c a83_io.adb
gcc -c a95.adb
gcc -c a95_dfa.adb
gcc -c a95_io.adb
gcc -c cli.adb
gcc -c clp.adb
gcc -c console.adb
gcc -c ic.adb
gcc -c itf.adb
gcc -c otf.adb
gcc -c rg.adb
gcc -c tk.adb


